<%@ page contentType="text/html; charset=euc-kr" %>

<%@ page import="java.io.*" %>

<%@ page import="org.kldp.ebmsh.message.packaging.EbxmlMessage" %>
<%@ page import="org.kldp.ebmsh.message.util.Serializer" %>


<jsp:directive.page import="org.kldp.ebmsh.moniter.permission.PermissionManager"/>
<jsp:directive.page import="org.kldp.ebmsh.config.EbmsConstants"/>

<%@ include file="/authorize/loginCheck.jsp" %>

<%@ include file="/setup/setupCheck.jsp" %>

<%
	String messagePath = request.getParameter("messagePath");

	EbxmlMessage msg = null;
	FileInputStream fin = null;
	
	try {
		fin = new FileInputStream(EbmsConstants.messagePath + new File(messagePath));
		msg = Serializer.deserialize(fin);
	}
	finally {
		if( fin != null ) 
			fin.close();
	}	
%>

<html>
	<body>
		<pre><%= msg.toString().replaceAll("<", "&lt;").replaceAll(">", "&gt;").trim().toString() %></pre>
	</body>
</html>